User Resources

GET /users/{user_guid}

Returns a user's profile with links to related resources.

Attributes in Response
AttributeTypeDescription
iduricanonical resource identifier
first_namestringuser's first name
last_namestringuser's last name
Links in Response
LinkDescription
listslist of user's collections
queueslist of user's queues
rentedlist of titles the user has previously rented
at_homelist of titles the user currently has at home
ratingslist of links to ratings lists
reviewslist of reviews the user has submitted
recommendationsrecommended titles for the user

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<user>
<id>http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C</id>
<last_name>McIntyre</last_name>
<first_name>Alasdair</first_name>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists" rel="http://schemas.lovefilm.com/lists" title="lists"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues" rel="http://schemas.lovefilm.com/queues" title="queues"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/rented" rel="http://schemas.lovefilm.com/rented" title="rented"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/at_home" rel="http://schemas.lovefilm.com/at_home" title="at home"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings" rel="http://schemas.lovefilm.com/ratings" title="ratings"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/recommendations" rel="http://schemas.lovefilm.com/recommendations" title="recommendations"/>
</user>

GET /users/{user_guid}/ratings

Returns links to resources for manipulating each category of ratings.

Links in Response
LinkDescription
title_ratingslist of title ratings submitted by the user

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<resource>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title" rel="http://schemas.lovefilm.com/title_ratings" title="title ratings"/>
</resource>

GET /users/{user_guid}/ratings/title

Returns a user's "rated titles" list.

If the title_refs query parameter is absent, data on all titles rated by the user will be returned.

If title_refs is supplied, only data for each requested title (where the user has rated that title) will be returned. Each entry in the result set will also contain a "title_ref" element to identify the requested title. You may also want to supply the "expand=none" query parameter in this case to suppress the provision of full metadata in the returned catalog_title elements.

Features

  • paging - items_per_page=25 by default (maximum 100)
  • title expansion
Optional Parameters
ParameterTypeDescription
title_refsstringComma separated list of title URIs
Attributes in Response
AttributeTypeDescription
iduricanonical resource identifier
ratingfloatrating submitted, from 0.0 (worst) to 5.0 (best)
updatedatetimewhen this rating was submitted, or last updated
title_refurithe title_ref that this rating refers to - only present when the title_refs query parameter is supplied; note that this may differ from the id on the catalog_title

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title?items_per_page=2 HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<ratings>
<total_results>140</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title?start_index=1&amp;items_per_page=2" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title?start_index=3&amp;items_per_page=2" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title?start_index=139&amp;items_per_page=2" rel="last" title="last"/>
<rating_item>
<updated>2006-11-18T17:09:58Z</updated>
<id>http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title/10626</id>
<rating>3</rating>
<catalog_title>
<studio>ARTIFICIAL EYE</studio>
<can_rent>true</can_rent>
<release_date>2003-01-27</release_date>
<run_time>333</run_time>
<title full="Apu Trilogy, The (Box Set) (Three Discs)" clean="The Apu Trilogy"/>
<id>http://openapi.lovefilm.com/catalog/title/10626</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Indian Cinema"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="U"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/10626/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/The-Apu-Trilogy/10626/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</rating_item>
<rating_item>
<updated>2005-04-18T23:00:00Z</updated>
<id>http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title/9323</id>
<rating>3</rating>
<catalog_title>
<studio>PARAMOUNT HOME ENTERTAINMENT</studio>
<can_rent>true</can_rent>
<release_date>2002-10-07</release_date>
<run_time>116</run_time>
<production_year>1970</production_year>
<title full="Catch 22" clean="Catch 22"/>
<id>http://openapi.lovefilm.com/catalog/title/9323</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/9323/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Catch-22/9323/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</rating_item>
</ratings>

POST /users/{user_guid}/ratings/title

Creates a new rating for a title.

The response includes a link to the newly created rating.

Required Parameters
ParameterTypeDescription
title_refstringURI of title to rate
ratingfloatrating to apply, from 0.0 (worst) to 5.0 (best)
Links in Response
LinkDescription
title_ratingresource to be used for accessing this rating; see /users/{user_guid}/ratings/title/{product_id}

+ Example:

Request
POST /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title HTTP/1.1
Host: openapi.lovefilm.com
Content-Length: 75
Content-Type: application/x-www-form-urlencoded
 
title_ref=http%3A%2F%2Fapi.lovefilm.com%2Fcatalog%2Ftitle%2F55561&rating=5
Response

PUT /users/{user_guid}/ratings/title/{product_id}

Updates a user's existing rating for a title.

Required Parameters
ParameterTypeDescription
ratingfloatRating to apply, from 0.0 (worst) to 5.0 (best).

+ Example:

Request
PUT /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/ratings/title/55561?rating=3.5 HTTP/1.1
Host: openapi.lovefilm.com
Response

GET /users/{user_guid}/reviews

Returns a user's title reviews.

Features

  • paging - items_per_page=25 by default (maximum 100)
  • title expansion

Notes

For a description of the 'review' nodes that are returned, see /catalog/title/{product_id}/reviews.

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/reviews?items_per_page=2 HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<reviews>
<total_results>1</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/reviews?start_index=1&amp;items_per_page=2" rel="self" title="self"/>
<review>
<created>2004-04-14T10:41:44Z</created>
<review_title>Political satire par excellence</review_title>
<review_text>Dodgeball exceeded all my expectations. While other reviewers on this site seemed to dislike the film intensely, I found it to be a sophisticated pastiche on contemporary American society. It seemed pretty clearly a highly charged political satire on US Foreign Policy in the Bush era. Michael Moore eat your heart out. Fahrenheit 9/11 has nothing on this baby.</review_text>
<helpful>1</helpful>
<spoilers>false</spoilers>
<rating>5</rating>
<unhelpful>1</unhelpful>
<catalog_title>
<studio>20TH CENTURY FOX HOME ENTERTAINMENT</studio>
<release_date>2005-01-31</release_date>
<production_year>2004</production_year>
<number_of_ratings>67379</number_of_ratings>
<rating>3.5</rating>
<can_rent>true</can_rent>
<run_time>92</run_time>
<id>http://openapi.lovefilm.com/catalog/title/29862</id>
<title full="Dodgeball - A True Underdog Story" clean="Dodgeball - A True Underdog Story"/>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Action/Adventure"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/29862/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Dodgeball-A-True-Underdog-Story/29862/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</review>
</reviews>

GET /users/{user_guid}/queues

Returns a user's rental lists.

Users start with a single rental queue, but they may configure multiple, named sub-queues. Our allocations process will strive to maintain a certain number of items at home from each sub-queue. This number is reported in the 'allocation' element.

The sub-queue identified as the 'default' is where items will be added unless otherwise specified.

Attributes in Response
AttributeTypeDescription
namestringname assigned to the sub-queue by the user
allocationintegernumber of slots assigned to the sub-queue
defaultbooleantrue if this is the 'default' sub-queue
Links in Response
LinkDescription
queueidentifies a particular sub-queue; see /users/{user_guid}/queues/{queue_id}
every_queueidentifies the user's entire rental list, without regard to which sub-queue the items come from; see /users/{user_guid}/queues/{queue_id}

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<queues>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/every" rel="http://schemas.lovefilm.com/every_queue" title="every queue"/>
<queue>
<name>Alasdair's list</name>
<default>true</default>
<allocation>2</allocation>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816" rel="http://schemas.lovefilm.com/queue" title="queue"/>
</queue>
<queue>
<name>Jenny's list</name>
<default>false</default>
<allocation>2</allocation>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/817" rel="http://schemas.lovefilm.com/queue" title="queue"/>
</queue>
</queues>

GET /users/{user_guid}/queues/{queue_id}

Returns titles from the user's entire rental list or a sub-queue of it.

If the optional title_refs query parameter is supplied, the result will be filtered to include only those titles. Use this to check if the user has queued one or more titles.

Some titles (e.g. series) may have multiple discs associated with them. In this case the individual discs are reported as "queue_disc" nodes inside the queue_item. To reprioritise, move, or delete the entire group, you should send a PUT or DELETE request to the URI reported in the queue_item's "id" node. To remove an individual child disc, you should send a DELETE request to the URI reported in the queue_disc's "id" node. You cannot reprioritise or move an individual child disc, so queue_disc URIs do not support the PUT method.

Features

  • paging - items_per_page=25 by default (maximum 100)
  • title expansion
Optional Parameters
ParameterTypeDescription
title_refsstringa comma-separated list of title URIs to filter by
Attributes in Response
AttributeTypeDescription
iduricanonical resource identifier
priorityintegerpriority assigned by user to this title; 1=high, 2=default, 3=low
shipped_in_orderbooleantrue if the discs that make up this title are to be sent in order
Links in Response
LinkDescription
queueA user may have multiple sub-queues configured. This link indicates the specific sub-queue that the title belongs to.
Categories in Response
CategoryDescription
availabilityavailability of the title
  • available - title has been released and can be shipped
  • quarantined - user does not qualify to receive this title on their current subscription
  • unavailable - title has not yet been released (corresponds to 'reserved' on the website)
estimated_waitcurrent estimated wait before the title can be sent
  • normal - title is shippable now
  • short - title should be shippable after a short delay
  • long - expect an extended delay before the title can be shipped

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816?items_per_page=2 HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<queue>
<total_results>15</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816?start_index=1&amp;items_per_page=2" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816?start_index=3&amp;items_per_page=2" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816?start_index=15&amp;items_per_page=2" rel="last" title="last"/>
<queue_item>
<priority>1</priority>
<id>http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/item/43293</id>
<shipped_in_order>false</shipped_in_order>
<category scheme="http://openapi.lovefilm.com/categories/availability" term="available"/>
<category scheme="http://openapi.lovefilm.com/categories/estimated_wait" term="normal"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816" rel="http://schemas.lovefilm.com/queue" title="queue"/>
<catalog_title>
<studio>OPTIMUM HOME ENTERTAINMENT</studio>
<can_rent>true</can_rent>
<release_date>2005-09-26</release_date>
<run_time>75</run_time>
<production_year>2005</production_year>
<title full="Cat Returns, The (Animated)" clean="The Cat Returns"/>
<id>http://openapi.lovefilm.com/catalog/title/43293</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Animated"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Anime"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Sci-Fi/Fantasy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="U"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/43293/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/The-Cat-Returns/43293/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</queue_item>
<queue_item>
<priority>2</priority>
<id>http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/item/27883</id>
<shipped_in_order>false</shipped_in_order>
<category scheme="http://openapi.lovefilm.com/categories/availability" term="available"/>
<category scheme="http://openapi.lovefilm.com/categories/estimated_wait" term="normal"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816" rel="http://schemas.lovefilm.com/queue" title="queue"/>
<catalog_title>
<studio>WALT DISNEY HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2008-07-07</release_date>
<run_time>87</run_time>
<production_year>1992</production_year>
<title full="Aladdin (Disney)" clean="Aladdin"/>
<id>http://openapi.lovefilm.com/catalog/title/27883</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Animated"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Music/Musical"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="U"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/27883/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Aladdin/27883/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<queue_disc>
<id>http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/disc/30430</id>
<category scheme="http://openapi.lovefilm.com/categories/estimated_wait" term="normal"/>
<catalog_title>
<studio>WALT DISNEY HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2008-07-07</release_date>
<title full="Aladdin" clean="Aladdin"/>
<id>http://openapi.lovefilm.com/catalog/title/30430</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Animated"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Music/Musical"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="TBC"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/30430/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Aladdin/30430/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</queue_disc>
</queue_item>
</queue>

POST /users/{user_guid}/queues/{queue_id}

Adds titles to a user's rental list.

Titles posted to the queue representing the user's entire rental list will be added to the default sub-queue.

For titles that span multiple discs (e.g. TV series), all the individual discs are added.

The response contains a link to the queue item for each title that was successfully added in the 'resources_created' element. The URIs of any titles that could not be added for any reason are listed in the 'failed_title_refs' element.

Required Parameters
ParameterTypeDescription
title_refsstringA comma-separated list of URIs of titles to add to the queue.
Optional Parameters
ParameterTypeDescription
priorityintegerPriority at which the title(s) will be inserted, with "1" the highest priority, and "3" the lowest. Defaults to "2" if not supplied.
Attributes in Response
AttributeTypeDescription
failed_title_refslistURIs of any titles that could not be added
Links in Response
LinkDescription
queue_itemresource to be used for accessing each successfully added title; see /users/{user_guid}/queues/item/{product_id}

+ Example:

Request
POST /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/816 HTTP/1.1
Host: openapi.lovefilm.com
Content-Length: 136
Content-Type: application/x-www-form-urlencoded
 
priority=3&title_refs=http%3A%2F%2Fapi.lovefilm.com%2Fcatalog%2Ftitle%2F55561%2Chttp%3A%2F%2Fapi.lovefilm.com%2Fcatalog%2Ftitle%2F55560
Response

DELETE /users/{user_guid}/queues/item/{product_id}

Removes a title from a user's rental list.

For titles that span multiple discs (e.g. TV series), removes all related discs.

+ Example:

Request
DELETE /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/item/55561 HTTP/1.1
Host: openapi.lovefilm.com
Response

PUT /users/{user_guid}/queues/item/{product_id}

Changes priority and/or sub-queue of a title in a user's rental list.

Optional Parameters
ParameterTypeDescription
priorityintegerPriority to move the title to, with "1" the highest priority, and "3" the lowest. The existing priority will be unaffected if not supplied.
queue_refuriIf present, specifies a sub-queue to move the title to; if the queue representing the user's entire rental list is specified, the user's default sub-queue will be used.

+ Example:

Request
PUT /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/item/55561?priority=1 HTTP/1.1
Host: openapi.lovefilm.com
Response

DELETE /users/{user_guid}/queues/disc/{product_id}

Removes an individual disc from a user's rental list.

+ Example:

Request
DELETE /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/queues/disc/134730 HTTP/1.1
Host: openapi.lovefilm.com
Response

GET /users/{user_guid}/rented

Returns items recently rented by the user.

Features

  • paging - items_per_page=25 by default (maximum 100)
  • title expansion
Attributes in Response
AttributeTypeDescription
priorityintegerpriority of the item when it was sent, 1=high, 2=normal, 3=low
shippeddatetimewhen we sent the item out
returneddatetimewhen we received the item back

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/rented?items_per_page=2 HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rented>
<total_results>2</total_results>
<items_per_page>2</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/rented?start_index=1&amp;items_per_page=2" rel="self" title="self"/>
<rented_item>
<priority>1</priority>
<shipped>2009-10-30</shipped>
<returned>2010-01-20</returned>
<catalog_title>
<studio>DRAKES AVENUE PICTURES</studio>
<can_rent>true</can_rent>
<release_date>2006-04-24</release_date>
<run_time>115</run_time>
<production_year>2005</production_year>
<title full="Sophie Scholl" clean="Sophie Scholl"/>
<id>http://openapi.lovefilm.com/catalog/title/58622</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="World Cinema"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/58622/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Sophie-Scholl/58622/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</rented_item>
<rented_item>
<priority>1</priority>
<shipped>2009-11-03</shipped>
<returned>2010-01-20</returned>
<catalog_title>
<studio>UNIVERSAL PICTURES UK</studio>
<can_rent>true</can_rent>
<release_date>2004-09-22</release_date>
<run_time>52</run_time>
<production_year>1998</production_year>
<title full="Raymond Briggs' The Snowman / Father Christmas (Animated)" clean="Raymond Briggs' The Snowman / Father Christmas"/>
<id>http://openapi.lovefilm.com/catalog/title/3430</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Animated"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="U"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/3430/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Raymond-Briggs'-The-Snowman-Father-Christmas/3430/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</rented_item>
</rented>

GET /users/{user_guid}/at_home

Returns the items currently at home with the user.

Features

  • title expansion
Attributes in Response
AttributeTypeDescription
priorityintegerpriority of the item when it was sent, 1=high, 2=normal, 3=low
shippeddatetimewhen we sent the item out

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/at_home HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<at_home>
<at_home_item>
<priority>1</priority>
<shipped>2010-01-20</shipped>
<catalog_title>
<studio>WALT DISNEY HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2008-10-27</release_date>
<production_year>1958</production_year>
<title full="Sleeping Beauty" clean="Sleeping Beauty"/>
<id>http://openapi.lovefilm.com/catalog/title/33733</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Animated"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Audio Descriptive"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="TBC"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/33733/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Sleeping-Beauty/33733/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</at_home_item>
<at_home_item>
<priority>1</priority>
<shipped>2010-01-20</shipped>
<catalog_title>
<studio>WARNER HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2009-12-07</release_date>
<run_time>153</run_time>
<production_year>2008</production_year>
<title full="Harry Potter and the Half-Blood Prince" clean="Harry Potter and the Half-Blood Prince"/>
<id>http://openapi.lovefilm.com/catalog/title/95676</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Audio Descriptive"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Sci-Fi/Fantasy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="12"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/95676/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Harry-Potter-and-the-Half-Blood-Prince/95676/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</at_home_item>
<at_home_item>
<priority>2</priority>
<shipped>2009-09-29</shipped>
<catalog_title>
<can_rent>true</can_rent>
<release_date>2008-08-18</release_date>
<run_time>131</run_time>
<production_year>1993</production_year>
<title full="Naked" clean="Naked"/>
<id>http://openapi.lovefilm.com/catalog/title/23651</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="18"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/23651/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Naked/23651/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</at_home_item>
<at_home_item>
<priority>2</priority>
<shipped>2009-07-23</shipped>
<catalog_title>
<studio>E1 ENTERTAINMENT</studio>
<can_rent>true</can_rent>
<release_date>2008-03-09</release_date>
<run_time>105</run_time>
<production_year>2008</production_year>
<title full="No. 1 Ladies' Detective Agency" clean="No. 1 Ladies' Detective Agency"/>
<id>http://openapi.lovefilm.com/catalog/title/116168</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Television"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="12"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/116168/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/No-1-Ladies'-Detective-Agency/116168/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
</at_home_item>
</at_home>

GET /users/{user_guid}/lists

Returns any collections created by the user.

These are also known as "lists", or "community lists", and are lists of items interesting to the user, which may optionally be made available to other users to see.

Attributes in Response
AttributeTypeDescription
namestringtitle of the user collection
descriptionstringdescription of the collection
authorstringauthor of the list
anonymousbooleantrue if the collection was marked as 'anonymous' by the user
locationstringthe user's claimed location when the collection was created
publicbooleantrue if the collection is 'public', i.e. visible to anyone;
false if the collection is visible only to the user
createddatetimewhen the collection was first created
updateddatetimewhen the collection was last changed

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<lists>
<list>
<location>London</location>
<name>New List</name>
<anonymous>false</anonymous>
<author>AUTH2036730</author>
<description/>
<created>2009-06-24T10:49:52Z</created>
<public>false</public>
<updated>2009-06-24T10:49:52Z</updated>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists/19707" rel="http://schemas.lovefilm.com/list" title="list"/>
</list>
</lists>

POST /users/{user_guid}/lists

Creates a new user collection.

The response includes a link to the newly created collection.

Required Parameters
ParameterTypeDescription
namestringName of the collection to create.
Optional Parameters
ParameterTypeDescription
descriptionstringFree text describing the collection, comments, etc.
publicbooleanDo not display collection publically on website (defaults to 'true').
anonymousbooleanDo not display with author's name on website (defaults to 'false').
Links in Response
LinkDescription
listthe resource where this collection can be accessed; see /users/{user_guid}/lists/{list_id}

+ Example:

Request
POST /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists HTTP/1.1
Host: openapi.lovefilm.com
Content-Length: 56
Content-Type: application/x-www-form-urlencoded
 
name=my+list&description=my+favourite+films&public=true
Response

GET /users/{user_guid}/lists/{list_id}

Returns the titles within a specific user collection.

Features

  • paging - items_per_page=25 by default (maximum 100)
  • title expansion
Attributes in Response
AttributeTypeDescription
idurientry's canonical resource identifier
commentstringuser description of the entry
createddatetimewhen the entry was first created
updateddatetimewhen the entry was last updated

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists/359?items_per_page=2 HTTP/1.1
Host: openapi.lovefilm.com
Response
404 Not Found
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<error>
<reason>Not Found</reason>
<details>Could not find list</details>
</error>

DELETE /users/{user_guid}/lists/{list_id}

Deletes a user collection.

+ Example:

Request
DELETE /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists/359 HTTP/1.1
Host: openapi.lovefilm.com
Response

POST /users/{user_guid}/lists/{list_id}

Appends titles to a user collection.

Required Parameters
ParameterTypeDescription
title_refsstringComma separated list of title URIs to add to the collection.
commentstringComment to associate with the item. If multiple title_refs are present, the same comment will be used for all of them.
Attributes in Response
AttributeTypeDescription
failed_title_refslistURIs of any titles that could not be added
Links in Response
LinkDescription
list_itemresource to be used for accessing each successfully added item; see /users/{user_guid}/lists/{list_id}/{product_id}

+ Example:

Request
POST /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists/359 HTTP/1.1
Host: openapi.lovefilm.com
Content-Length: 150
Content-Type: application/x-www-form-urlencoded
 
comment=great+soundtrack&title_refs=http%3A%2F%2Fapi.lovefilm.com%2Fcatalog%2Ftitle%2F55561%2Chttp%3A%2F%2Fapi.lovefilm.com%2Fcatalog%2Ftitle%2F55560
Response

DELETE /users/{user_guid}/lists/{list_id}/{product_id}

Deletes an item from a user collection.

+ Example:

Request
DELETE /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/lists/359/55561 HTTP/1.1
Host: openapi.lovefilm.com
Response

GET /users/{user_guid}/recommendations

Returns catalog title recommendations for a user.

Recommended items will define a recommendation source category.

WARNING!

The presence and form of this resource is subject to review. You are advised not to use it in production applications until this warning has been removed.

Features

  • paging - items_per_page=25 by default (maximum 100)

+ Example:

Request
GET /users/9D48675C-096F-11DC-BF5A-88D01745CE5C/recommendations HTTP/1.1
Host: openapi.lovefilm.com
Response
200 OK
Content-Type: application/xml;charset=UTF-8
 
<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<recommendations>
<total_results>400</total_results>
<items_per_page>25</items_per_page>
<start_index>1</start_index>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/recommendations?start_index=1" rel="self" title="self"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/recommendations?start_index=26" rel="next" title="next"/>
<link href="http://openapi.lovefilm.com/users/9D48675C-096F-11DC-BF5A-88D01745CE5C/recommendations?start_index=376" rel="last" title="last"/>
<catalog_title>
<can_rent>true</can_rent>
<title full="Harry Potter and the Deathly Hallows - Part 2" clean="Harry Potter and the Deathly Hallows - Part 2"/>
<id>http://openapi.lovefilm.com/catalog/title/127264</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Sci-Fi/Fantasy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="TBC"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/127264/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Harry-Potter-and-the-Deathly-Hallows-Part-2/127264/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>WARNER HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2002-05-11</release_date>
<run_time>152</run_time>
<production_year>2001</production_year>
<title full="Harry Potter And The Philosopher's Stone" clean="Harry Potter And The Philosopher's Stone"/>
<id>http://openapi.lovefilm.com/catalog/title/7375</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Sci-Fi/Fantasy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/7375/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Harry-Potter-And-The-Philosopher's-Stone/7375/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>WARNER HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2003-04-11</release_date>
<run_time>161</run_time>
<production_year>2002</production_year>
<title full="Harry Potter And The Chamber Of Secrets (Wide Screen) (Two Discs) (retail ok)" clean="Harry Potter And The Chamber Of Secrets"/>
<id>http://openapi.lovefilm.com/catalog/title/11782</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Sci-Fi/Fantasy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/11782/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Harry-Potter-And-The-Chamber-Of-Secrets/11782/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>WARNER HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2006-03-20</release_date>
<run_time>150</run_time>
<production_year>2005</production_year>
<title full="Harry Potter And The Goblet Of Fire" clean="Harry Potter And The Goblet Of Fire"/>
<id>http://openapi.lovefilm.com/catalog/title/56625</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Sci-Fi/Fantasy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="12"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/56625/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Harry-Potter-And-The-Goblet-Of-Fire/56625/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>2 ENTERTAIN VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2004-10-25</release_date>
<run_time>90</run_time>
<production_year>2003</production_year>
<title full="Office, The - The Christmas Specials" clean="Office, The - The Christmas Specials"/>
<id>http://openapi.lovefilm.com/catalog/title/27873</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="ratings"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/27873/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Office-The-The-Christmas-Specials/27873/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>BBC WORLDWIDE PUBLISHING</studio>
<can_rent>true</can_rent>
<release_date>2001-10-01</release_date>
<run_time>201</run_time>
<production_year>1980</production_year>
<title full="Yes Minister - Series 1" clean="Yes Minister - Series 1"/>
<id>http://openapi.lovefilm.com/catalog/title/5034</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Television"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="U"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/5034/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Yes-Minister-Series-1/5034/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>WARNER BROS</studio>
<can_rent>true</can_rent>
<release_date>2007-10-29</release_date>
<run_time>360</run_time>
<production_year>2007</production_year>
<title full="Flight Of The Conchords" clean="Flight Of The Conchords"/>
<id>http://openapi.lovefilm.com/catalog/title/92099</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Television"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/92099/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Flight-Of-The-Conchords/92099/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>BFI VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2003-10-06</release_date>
<run_time>172</run_time>
<production_year>1965</production_year>
<title full="Red Beard (Wide Screen) (Subtitled)" clean="Red Beard"/>
<id>http://openapi.lovefilm.com/catalog/title/15274</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="World Cinema"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/15274/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Red-Beard/15274/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>PALISADES TARTAN</studio>
<can_rent>true</can_rent>
<release_date>2005-01-10</release_date>
<run_time>97</run_time>
<production_year>2003</production_year>
<title full="Infernal Affairs II (Subtitled) (Wide Screen)" clean="Infernal Affairs II"/>
<id>http://openapi.lovefilm.com/catalog/title/30464</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Thriller"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="World Cinema"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/30464/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Infernal-Affairs-II/30464/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>UNIVERSAL PICTURES UK</studio>
<can_rent>true</can_rent>
<release_date>2001-01-01</release_date>
<run_time>103</run_time>
<production_year>1973</production_year>
<title full="Mean Streets" clean="Mean Streets"/>
<id>http://openapi.lovefilm.com/catalog/title/3145</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="18"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/3145/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Mean-Streets/3145/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>OPTIMUM</studio>
<can_rent>true</can_rent>
<release_date>2007-10-29</release_date>
<run_time>113</run_time>
<production_year>2006</production_year>
<title full="Golden Door, The" clean="The Golden Door"/>
<id>http://openapi.lovefilm.com/catalog/title/89478</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="World Cinema"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/89478/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/The-Golden-Door/89478/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>2 ENTERTAIN VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2006-03-27</release_date>
<title full="Fifi And The Flowertots - Fifi's Chocolate Surprise" clean="Fifi And The Flowertots - Fifi's Chocolate Surprise"/>
<id>http://openapi.lovefilm.com/catalog/title/55221</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="U"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/55221/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Fifi-And-The-Flowertots-Fifi's-Chocolate-Surprise/55221/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>20TH CENTURY FOX HOME ENTERTAINMENT</studio>
<can_rent>true</can_rent>
<release_date>2004-11-26</release_date>
<run_time>80</run_time>
<production_year>2004</production_year>
<title full="Garfield (The Movie) (Rental)" clean="Garfield"/>
<id>http://openapi.lovefilm.com/catalog/title/29154</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Family"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="U"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="ratings"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/29154/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Garfield/29154/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>WALT DISNEY STUDIOS HOME ENTERTAINMENT</studio>
<can_rent>true</can_rent>
<release_date>2003-09-12</release_date>
<title full="Baby Einstein - Neighborhood Animals" clean="Baby Einstein - Neighborhood Animals"/>
<id>http://openapi.lovefilm.com/catalog/title/16638</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Special Interest"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="Ex"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/16638/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Baby-Einstein-Neighborhood-Animals/16638/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>WARNER HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2009-05-25</release_date>
<run_time>117</run_time>
<production_year>2009</production_year>
<title full="Sisterhood of the Travelling Pants 2, The" clean="The Sisterhood of the Travelling Pants 2"/>
<id>http://openapi.lovefilm.com/catalog/title/106729</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Romance"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="12"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="ratings"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/106729/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/The-Sisterhood-of-the-Travelling-Pants-2/106729/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>HIGH FLIERS</studio>
<can_rent>true</can_rent>
<release_date>2009-09-14</release_date>
<run_time>112</run_time>
<production_year>2006</production_year>
<title full="Few Days in September, A (Quelques jours en septembre)" clean="A Few Days in September"/>
<id>http://openapi.lovefilm.com/catalog/title/93041</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/93041/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/A-Few-Days-in-September/93041/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>UNIVERSAL PICTURES UK VIDEO RENTAL</studio>
<can_rent>true</can_rent>
<run_time>113</run_time>
<production_year>2002</production_year>
<title full="Bourne Identity, The (Ok to rent retail)" clean="The Bourne Identity"/>
<id>http://openapi.lovefilm.com/catalog/title/11090</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Action/Adventure"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Thriller"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="12"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/11090/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/The-Bourne-Identity/11090/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>EUREKA ENTERTAINMENT</studio>
<can_rent>true</can_rent>
<release_date>2006-02-20</release_date>
<run_time>142</run_time>
<title full="Mitchell And Webb Situation, The" clean="The Mitchell And Webb Situation"/>
<id>http://openapi.lovefilm.com/catalog/title/55231</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/55231/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/The-Mitchell-And-Webb-Situation/55231/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>HIGH FLIERS</studio>
<can_rent>true</can_rent>
<release_date>2005-08-08</release_date>
<run_time>91</run_time>
<production_year>2004</production_year>
<title full="Assassination Of Richard Nixon, The" clean="The Assassination Of Richard Nixon"/>
<id>http://openapi.lovefilm.com/catalog/title/40063</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Drama"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="ratings"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/40063/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/The-Assassination-Of-Richard-Nixon/40063/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>20TH CENTURY FOX HOME ENTERTAINMENT</studio>
<can_rent>true</can_rent>
<release_date>2004-08-09</release_date>
<run_time>999</run_time>
<production_year>2003</production_year>
<title full="24 - Season 3" clean="24 - Season 3"/>
<id>http://openapi.lovefilm.com/catalog/title/23923</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Television"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Thriller"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="15"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/23923/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/24-Season-3/23923/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>UNIVERSAL PICTURES UK</studio>
<can_rent>true</can_rent>
<run_time>50</run_time>
<production_year>1982</production_year>
<title full="Raymond Briggs' The Snowman (Special Edition) (Animated)" clean="Raymond Briggs' The Snowman"/>
<id>http://openapi.lovefilm.com/catalog/title/18070</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Animated"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/18070/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Raymond-Briggs'-The-Snowman/18070/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>2 ENTERTAIN VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2002-09-30</release_date>
<run_time>210</run_time>
<production_year>1981</production_year>
<title full="Yes Minister - Series 2" clean="Yes Minister - Series 2"/>
<id>http://openapi.lovefilm.com/catalog/title/8772</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Comedy"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/8772/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Yes-Minister-Series-2/8772/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>BFI VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2001-10-22</release_date>
<run_time>105</run_time>
<production_year>1957</production_year>
<title full="Throne Of Blood (Subtitled)" clean="Throne Of Blood"/>
<id>http://openapi.lovefilm.com/catalog/title/5722</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Action/Adventure"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Thriller"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="World Cinema"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="PG"/>
<category scheme="http://openapi.lovefilm.com/categories/recommendation_source" term="selection"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/actors" rel="http://schemas.lovefilm.com/actors" title="actors"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/directors" rel="http://schemas.lovefilm.com/directors" title="directors"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/synopsis" rel="http://schemas.lovefilm.com/synopsis" title="synopsis"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/histogram" rel="http://schemas.lovefilm.com/histogram" title="histogram"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/languages" rel="http://schemas.lovefilm.com/languages" title="languages"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/collections" rel="http://schemas.lovefilm.com/collections" title="collections"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/artworks" rel="http://schemas.lovefilm.com/artworks" title="artworks"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/similars" rel="http://schemas.lovefilm.com/similars" title="similars"/>
<link href="http://openapi.lovefilm.com/catalog/title/5722/reviews" rel="http://schemas.lovefilm.com/reviews" title="reviews"/>
<link href="http://www.lovefilm.com/film/Throne-Of-Blood/5722/?cid=LFAPI" rel="alternate" title="web page"/>
</catalog_title>
<catalog_title>
<studio>WALT DISNEY HOME VIDEO</studio>
<can_rent>true</can_rent>
<release_date>2006-10-02</release_date>
<run_time>37</run_time>
<title full="Baby Einstein - Baby Noah" clean="Baby Einstein - Baby Noah"/>
<id>http://openapi.lovefilm.com/catalog/title/69961</id>
<adult>false</adult>
<category scheme="http://openapi.lovefilm.com/categories/catalog" term="video"/>
<category scheme="http://openapi.lovefilm.com/categories/format" term="DVD"/>
<category scheme="http://openapi.lovefilm.com/categories/genres" term="Children"/>
<category scheme="http://openapi.lovefilm.com/categories/certificates/bbfc" term="Ex"/>
[...]
